# Copyright 2023- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class FinancialConditionContract(models.Model):
    _name = "financial.condition.contract"
    _description = "Link between a condition precedent and a contract"
    _rec_name = "condition_id"
    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char()
    condition_id = fields.Many2one("financial.condition")
    contract_id = fields.Many2one("financial.contract")
    raised = fields.Boolean()
    milestone = fields.Date()
    comment = fields.Text()

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
